<?php
// Kabinen allgemein
class BaseCabin extends BaseCabinStructure {
	// Konstruktor
	private function __construct ($class) {
		// Eltern-Konstruktor aufrufen
		parent::constructor($class);

		//Debug message
		if (((defined('DEBUG_CABIN')) || (defined('DEBUG_ALL'))) && (defined('DEBUG_CONSTRUCT'))) {
			$this->getDebugInstance()->output(sprintf("[%s:%d] Konstruktor erreicht.<br />\n",
				__CLASS__,
				__LINE__
			));
		}

		// Beschreibung setzen
		$this->setPartDescr("Kabine");

		// Maybe clean up a little
		if ($class == __CLASS__) {
			$this->removeSystemArray();
		}
	}

	// Konstruktor aufrufen
	public function constructor ($class) {
		$this->__construct($class);
	}

	// Allgemeine Kabine erstellen
	public static function createBaseCabin () {
		// Instanz holen
		$cabinInstance = new BaseCabin(__CLASS__);

		// Debug message
		if ((defined('DEBUG_CABIN')) || (defined('DEBUG_ALL'))) $cabinInstance->getDebugInstance()->output(sprintf("[%s:%d] Eine allgemeine Kabine wird erstellt.<br />\n",
			__CLASS__,
			__LINE__
		));

		// Unique-ID erzeugen
		$cabinInstance->createUniqueID();

		// Instanz zurueckgeben
		return $cabinInstance;
	}

	// Is this a cabin?
	public function isCabin () {
		return ($this->isClass("BaseCabin"));
	}

	/**
	 * Stub!
	 */
	public function saveObjectToDatabase () {
		$this->getDebugInstance()->output(sprintf("[%s:] Stub <strong>%s</strong> erreicht.",
			$this->__toString(),
			__FUNCTION__
		));
	}

	/**
	 * Limits this object with an ObjectLimits instance
	 */
	public function limitObject (ObjectLimits $limitInstance) {
		ApplicationEntryPoint::app_die("".__METHOD__." reached! Stub!");
	}
}

// [EOF]
?>
